<form role="form" class="form-horizontal" id="create_route_form" action="#" method="post">
<input type="hidden" value="<?php echo $type;?>" name="type" id="type"/>
<input type="hidden" value="<?php echo $route_id;?>" name="route_id" id="route_id"/>
<div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title"><?php echo $pageName;?></h4>
            <font style="color:#333;">Please fill in the information below. The field labels marked with * are required input fields.</font>
            </div>
    <div class="col-md-12">
        
    </div>              
            <div class="modal-body">
            <div id="error"></div>
                <div class="row">
                <div class="col-md-12">
                    <div class="col-md-12">
                    <!--<h5>Parent Category *</h5>
                    <p>
                        <div class="form-group">
                            <select id="form-field-select-3" class="form-control search-select">
                                <option value="">&nbsp;</option>
                                <option value="AL">Alabama</option>
                                <option value="AK">Alaska</option>
                                <option value="AZ">Arizona</option>
                             </select>
                        </div>
                    </p>-->
                    <div class="form-group">
                        <h5>
                        <label class="control-label">
							 Code*
						</label></h5>
                            <input type="text" <?php echo (isset($suppliyer['route_code']))?'value="'.$suppliyer['route_code'].'"':null;?> class="form-control" name="route_code" id="route_code" <?php if (isset($type)) if($type=='E') echo 'readonly';?>>
                    </div>
                    <div class="form-group">
                        <h5>
                        <label class="control-label">
							 Route Description*
						</label></h5>
                            <input type="text" <?php echo (isset($suppliyer['route_name']))?'value="'.$suppliyer['route_name'].'"':null;?> class="form-control" name="route_name" id="route_name">
                    </div>
                     <div class="form-group">
                    <label class="control-label">
							 Warehouse*
						</label></h5>
                            <select type="text" value="" class="form-control" name="warehouse_id" id="warehouse_id">
                           <!-- <option>--Select Warehouse--</option>-->
                          <?php																 
foreach ($warehouse_list as $row)
{?>  
                                                                        
<option value="<?php echo $row->id; ?>" 

<?php // if(isset($route_id)&&$row->id==$suppliyer['warehouse_id'])echo 'selected="selected"'?>
>

<?php echo $row->name; ?> </option>

<?php }?>
                            
                            
                            
                             </select>
                            </div>
                    
                                                 -   
                    </div>
                </div>
            </div>
            <div class="modal-footer">
            <input type="submit" name="add_category" value="<?php echo $btnText; ?>" class="btn btn-primary">
            </div>
            </div> <!--/.col-md-12-->
</form>

<!-- start: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY VALIDATION-->
<script src="<?php echo asset_url(); ?>js/form-validation-create_route.js"></script>
<!-- end: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY  VALIDATION-->

<script>
   jQuery(document).ready(function() {
        FormValidator.init();
   });
</script>
    
<script type="text/javascript">
function insertLocationData(){
	
var type=$('#type').val();
var route_name=$('#route_name').val();
var route_code=$('#route_code').val();
var route_id=$('#route_id').val();
var warehouse_id=$('#warehouse_id').val();
					 
	$.post( "<?php echo base_url('route/save_route'); ?>", {type:type, route_id:route_id, route_name:route_name, route_code:route_code, warehouse_id:warehouse_id })
	.done(function( data ) {
		
	  var obj = jQuery.parseJSON(data);
	   // alert(obj.type); //last id
	   
	   if (obj.status==0) 
	{
		$('div#error').html('<div class="alert alert-block alert-danger fade in"><button type="button" class="close" data-dismiss="alert">×</button><h4 class="alert-heading"><i class="fa fa-times-circle"></i> Error!</h4>'+obj.validation+'</div>');
		$('body').modalmanager('removeLoading');
		$('body').attr('class','');
	}
	 else {

	  $('div#ajax-modal').modal('hide');
	  loadGrid();// load location data
	  
	  if(obj.type=='E'){
		  
		  displayNotice('page','route has been updated successfully!');
		  location.reload(true);
	  }
	  if(obj.type=='A'){
			displayNotice('page','route has been added successfully!') ;  
		  location.reload(true);
	  }
	 }
	  });
return false;
}
</script>